Page MenuHomePhabricator

Add a 'contributions' tab to mobile web stable channel
Closed, ResolvedPublic1 Story Points

Description

Implement a week after it's in the beta channel. The code in beta got merged on 8/9, so a patch that fixes this should not be merged before 8/16.


Event Timeline

dr0ptp4kt created this task.Aug 1 2016, 4:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 1 2016, 4:49 PM
dr0ptp4kt renamed this task from Add a 'contributions' tab to mobile web beta stable channel to Add a 'contributions' tab to mobile web stable channel.Aug 1 2016, 4:50 PM
dr0ptp4kt triaged this task as High priority.Aug 1 2016, 4:53 PM
MBinder_WMF set the point value for this task to 1.Aug 10 2016, 4:26 PM
bmansurov updated the task description. (Show Details)Aug 10 2016, 4:26 PM
bmansurov removed the point value for this task.
jhobs set the point value for this task to 1.Aug 10 2016, 4:29 PM
jhobs added subscribers: phuedx, jhobs.

@phuedx Can you flesh out the description a bit to reflect the necessary changes since you were the primary dev on the original feature? Feel free to update the points too if you think it's more complicated than a 1.

phuedx updated the task description. (Show Details)Aug 11 2016, 8:50 AM
Jdlrobson moved this task from To Do to Blocked Externally on the Reading-Web-Sprint-79-Uh-oh board.
Jdlrobson moved this task from Blocked Externally to Doing on the Reading-Web-Sprint-79-Uh-oh board.

Change 304883 had a related patch set uploaded (by Jdlrobson):
Promote contributions button to stable menu

https://gerrit.wikimedia.org/r/304883

phuedx updated the task description. (Show Details)Aug 17 2016, 4:48 PM
phuedx updated the task description. (Show Details)
phuedx updated the task description. (Show Details)Aug 17 2016, 4:50 PM

@Jdlrobson: 365dc95 can be merged now, right?

Change 304883 merged by jenkins-bot:
Promote contributions button to stable menu

https://gerrit.wikimedia.org/r/304883

Jdlrobson added a comment.EditedAug 17 2016, 5:08 PM

@phuedx correct.

phuedx updated the task description. (Show Details)Aug 17 2016, 7:14 PM
phuedx moved this task from Code Review to Ready for Signoff on the Reading-Web-Sprint-79-Uh-oh board.
phuedx reassigned this task from Jdlrobson to dr0ptp4kt.Aug 18 2016, 11:53 AM
phuedx added a subscriber: Jdlrobson.
phuedx added a subscriber: Nirzar.Aug 19 2016, 4:43 PM

@Nirzar: @Jdlrobson's change has been deployed to the Beta Cluster.

phuedx reassigned this task from dr0ptp4kt to Nirzar.Aug 19 2016, 4:43 PM

@phuedx so you are sam! :P

i checked on beta yday. looks good.

Jdlrobson closed this task as Resolved.Aug 22 2016, 4:13 PM
Jdlrobson removed a project: Patch-For-Review.
dr0ptp4kt reopened this task as Open.Aug 22 2016, 8:08 PM

Looking good on beta, although re-opening until it takes hold on stable.

This has caused a browser test regression which should be fixed before sign off.

@dr0ptp4kt: This is now taken hold on MFStable on group 2 Wikipedias.

I see it on en.m.wikipedia.org stable. Good.

@Jdlrobson, @phuedx, @bmansurov, @jhobs please sign off with regard to T141787#2579317 as appropriate.

phuedx removed dr0ptp4kt as the assignee of this task.Aug 26 2016, 9:50 AM
phuedx closed this task as Resolved.Aug 26 2016, 11:34 AM
phuedx claimed this task.